<!---
   Licensed Materials - Property of IBM

   (C) Copyright 2015, 2016 IBM Corp.

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
-->

# IBM MobileFirst Platform Foundation FIPS Plug-in

This plug-in provides the IBM MobileFirst&trade; Platform Foundation FIPS feature for Cordova applications for the Android platform. 
It also adds encryption support for JSONStore.

Federal Information Processing Standards (FIPS) are standards and guidelines that are issued by the United States National Institute of Standards and Technology (NIST) for federal government computer systems. FIPS Publication 140-2 is a security standard that is used to accredit cryptographic modules. The WebSphere Application Server can be configured to enforce the use of FIPS 140-2 validated cryptographic modules for inbound and outbound Secure Socket Layer (SSL) connections.

After the FIPS plug-in is installed, you must set the enableFIPS property in the wlInitOptions variable to true.
Refer to the documentation below for more information. 

## Installation
Add this plug-in in the same way that you add any other Cordova plug-in to your app. For example, with the Cordova CLI:

    	cordova plugin add cordova-plugin-mfp-fips
    
## Dependencies
- cordova-plugin-mfp

## Supported Platforms
- Android

## Documentation
See the IBM MobileFirst Platform Foundation section of IBM KnowledgeCenter:

http://ibm.biz/knowctr#SSHS8R_8.0.0/wl_welcome.html

-[Installing plug-ins]
http://ibm.biz/knowctr#SSHS8R_8.0.0/com.ibm.worklight.dev.doc/dev/t_add_mfp_ex_cordova.html
- [FIPS]
http://ibm.biz/knowctr#SSHS8R_8.0.0/com.ibm.worklight.admin.doc/admin/c_using_FIPS_140-2_support.html

For details of the changes in this latest release, see http://www-01.ibm.com/support/docview.wss?uid=swg2C7000003

